Package org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

# Class ItemDescriptorLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl.ItemDescriptorLabelProvider

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

public class ItemDescriptorLabelProvider extends org.eclipse.jface.viewers.LabelProvider
Label provider for `IItemDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`ItemDescriptorLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getText(Object element)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### ItemDescriptorLabelProvider

public ItemDescriptorLabelProvider()

## Method Details

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`